Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
Class PostfixExpression

Represents a postfix expression like foo++ or bar++

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`Expression` | `expression`
`Token` | `operation`

Constructor Summary
`PostfixExpression(Expression expression, Token operation)`

Method Summary
`Expression` | `getExpression()`
`Token` | `getOperation()`
`String` | `getText()`
`ClassNode` | `getType()`
`void` | `setExpression(Expression expression)`
`String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### PostfixExpression

    public PostfixExpression(Expression expression, Token operation)

Method Detail

### getExpression

    public Expression getExpression()

### getOperation

    public Token getOperation()

### getText

    public String getText()

### getType

    public ClassNode getType()

### setExpression

    public void setExpression(Expression expression)

### toString

    public String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)